PDA

View Full Version : Can't locate loadable object for module Digest::SHA1



erland
2006-04-28, 10:15
I get this message when starting nightly 6.5 from 28/4, I'm running it on ubuntu linux.


Can't locate loadable object for module Digest::SHA1 in @INC (@INC contains: /usr/local/SlimServer_v2006-04-28/CPAN/arch/5.8.7/i486-linux-gnu-thread-multi /usr/local/SlimServer_v2006-04-28/CPAN/arch/5.8.7/i486-linux-gnu-thread-multi/auto /usr/local/SlimServer_v2006-04-28/CPAN/arch/5.8/i486-linux-gnu-thread-multi /usr/local/SlimServer_v2006-04-28/CPAN/arch/5.8/i486-linux-gnu-thread-multi/auto /usr/local/SlimServer_v2006-04-28/CPAN/arch/i486-linux-gnu-thread-multi /usr/local/SlimServer_v2006-04-28/lib /usr/local/SlimServer_v2006-04-28/CPAN /usr/local/SlimServer_v2006-04-28 /etc/perl /usr/local/lib/perl/5.8.7 /usr/local/share/perl/5.8.7 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.8 /usr/share/perl/5.8 /usr/local/lib/site_perl .) at /usr/local/SlimServer_v2006-04-28/lib/Cache/FileBackend.pm line 15
Compilation failed in require at /usr/local/SlimServer_v2006-04-28/lib/Cache/FileBackend.pm line 15.
BEGIN failed--compilation aborted at /usr/local/SlimServer_v2006-04-28/lib/Cache/FileBackend.pm line 15.
Compilation failed in require at /usr/local/SlimServer_v2006-04-28/CPAN/Cache/FileCache.pm line 20.
BEGIN failed--compilation aborted at /usr/local/SlimServer_v2006-04-28/CPAN/Cache/FileCache.pm line 20.
Compilation failed in require at /usr/local/SlimServer_v2006-04-28/Slim/Utils/Cache.pm line 15.
BEGIN failed--compilation aborted at /usr/local/SlimServer_v2006-04-28/Slim/Utils/Cache.pm line 15.
Compilation failed in require at /usr/local/SlimServer_v2006-04-28/Slim/Networking/SimpleAsyncHTTP.pm line 25.
BEGIN failed--compilation aborted at /usr/local/SlimServer_v2006-04-28/Slim/Networking/SimpleAsyncHTTP.pm line 25.
Compilation failed in require at /usr/local/SlimServer_v2006-04-28/Slim/Formats/XML.pm line 19.
BEGIN failed--compilation aborted at /usr/local/SlimServer_v2006-04-28/Slim/Formats/XML.pm line 19.
Compilation failed in require at /usr/local/SlimServer_v2006-04-28/Slim/Buttons/XMLBrowser.pm line 18.
BEGIN failed--compilation aborted at /usr/local/SlimServer_v2006-04-28/Slim/Buttons/XMLBrowser.pm line 18.
Compilation failed in require at /usr/local/SlimServer_v2006-04-28/Slim/Buttons/Common.pm line 20.
BEGIN failed--compilation aborted at /usr/local/SlimServer_v2006-04-28/Slim/Buttons/Common.pm line 20.
Compilation failed in require at /usr/local/SlimServer_v2006-04-28/Slim/Buttons/Settings.pm line 11.
BEGIN failed--compilation aborted at /usr/local/SlimServer_v2006-04-28/Slim/Buttons/Settings.pm line 11.
Compilation failed in require at /usr/local/SlimServer_v2006-04-28/Slim/Display/Display.pm line 14.
BEGIN failed--compilation aborted at /usr/local/SlimServer_v2006-04-28/Slim/Display/Display.pm line 14.
Compilation failed in require at /usr/local/slimserver/slimserver.pl line 226.
BEGIN failed--compilation aborted at /usr/local/slimserver/slimserver.pl line 226.

erland
2006-04-29, 00:46
I got this running by doing as follows:
1. I installed the .deb debian version of slimserver which also installed all dependencies
2. I uninstalled the slimserver just installed, but the dependencies are left installed
3. In this situation the SlimServer_v2006-04-28.tar.gz still does not work, gives error message:
Digest::SHA1 object version 2.10 does not match bootstrap parameter 2.11 at /usr/lib/perl/5.8/DynaLoader.pm line 245.
4. Now I tried to remove the CPAN directory, and without the CPAN directory everything seems to work correctly.

I'm not sure if this is an error or if there are some packages installed on my machine that made the CPAN directoy cause problem. I have run the nightly from 30/3 previously and that works correctly, so probably something has been changed between 30/3 and 28/4 that causes this problem. The reason I can't use the .deb debian installation is that I need to be able to easily switch between 6.2 and 6.5 during plugin development.

Should I post a bug report related to this or can we assume that it just has something to do with my machine configuration ?